RADICALE(1)

NAME
radicale - a simple calendar server

DESCRIPTION
usage: radicale [OPTIONS]

  options:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--verify-storage
    check the storage for errors and exit

--verify-item VERIFY_ITEM
    check the provided item file for errors and exit

--verify-sharing
    check the sharing database for errors and exit

-C, --config [CONFIG ...]
    use specific configuration files

-D, --debug
    print debug information

  server:

-H, --hosts, --server-hosts VALUE
    set server hostnames including ports

--server-max-connections VALUE
    maximum number of parallel connections

--server-max-content-length VALUE
    maximum size of request body in bytes (default: 100 Mbyte)

--server-delay-on-error VALUE
    base delay in case of error 5xx response (seconds)

--server-max-resource-size VALUE
    maximum size of resource (default: 10 Mbyte)

--server-timeout VALUE
    socket timeout

-s, --ssl, --server-ssl [VALUE]
    use SSL connection

-S, --no-ssl, --no-server-ssl
    do not use SSL connection (opposite of --server-ssl)

--server-protocol VALUE
    SSL/TLS protocol (Apache SSLProtocol format)

--server-ciphersuite VALUE
    SSL/TLS Cipher Suite (OpenSSL cipher list format)

-c, --certificate, --server-certificate VALUE
    set certificate file

-k, --key, --server-key VALUE
    set private key file

--certificate-authority, --server-certificate-authority VALUE
    set CA certificate for validating clients

--server-script-name VALUE
    script name to strip from URI if called by reverse proxy (default taken from HTTP_X_SCRIPT_NAME or SCRIPT_NAME)

--server-validate-user-value VALUE
    validate user value (none|minimal|unicodeletter|unicode-none|strict)

--server-validate-path-value VALUE
    validate path value (none|minimal|unicodeletter|unicode-none|strict)

  encoding:

--encoding-request VALUE
    encoding for responding requests

--encoding-stock VALUE
    encoding for storing local collections

  auth:

    backend specific options omitted

--auth-type VALUE
    authentication method (none|remote_user|http_x_remote_ user|http_remote_user|denyall|htpasswd|ldap|imap|oauth 2|pam|dovecot)

--auth-cache-logins [VALUE]
    cache successful/failed logins for until expiration time

--no-auth-cache-logins
    do not cache successful/failed logins for until expiration time (opposite of --auth-cache-logins)

--auth-cache-successful-logins-expiry VALUE
    expiration time for caching successful logins in seconds

--auth-cache-failed-logins-expiry VALUE
    expiration time for caching failed logins in seconds

--auth-htpasswd-filename VALUE
    htpasswd filename

--auth-htpasswd-encryption VALUE
    htpasswd encryption method

--auth-htpasswd-cache [VALUE]
    enable caching of htpasswd file

--no-auth-htpasswd-cache
    do not enable caching of htpasswd file (opposite of --auth-htpasswd-cache)

--auth-dovecot-connection-type VALUE
    Connection type for dovecot authentication

--auth-dovecot-socket VALUE
    dovecot auth AF_UNIX socket

--auth-dovecot-host VALUE
    dovecot auth AF_INET or AF_INET6 host

--auth-dovecot-port VALUE
    dovecot auth port

--auth-remote-ip-source VALUE
    remote address source for passing it to auth method

--auth-realm VALUE
    message displayed when a password is needed

--auth-delay VALUE
    incorrect authentication delay

--auth-ldap-uri VALUE
    URI to the LDAP server

--auth-ldap-base VALUE
    Base DN of the LDAP server

--auth-ldap-reader-dn VALUE
    DN of an LDAP user with read access to users anmd - if defined - groups

--auth-ldap-secret VALUE
    Password of ldap_reader_dn (better: use ldap_secret_file)

--auth-ldap-secret-file VALUE
    Path to the file containing the password of ldap_reader_dn

--auth-ldap-filter VALUE
    Filter to search for the LDAP entry of the user to authenticate

--auth-ldap-user-attribute VALUE
    Attribute to be used as username after authentication

--auth-ldap-security VALUE
    Encryption mode to be used: *none*|tls|starttls

--auth-ldap-ssl-verify-mode VALUE
    Certificate verification mode for tls and starttls. NONE, OPTIONAL, default is REQUIRED

--auth-ldap-ssl-ca-file VALUE
    Path to the CA file in PEM format which is used to certify the server certificate

--auth-ldap-groups-attribute VALUE
    Attribute in the user's LDAP entry to read the group memberships from

--auth-ldap-group-members-attribute VALUE
    Attribute in the group entries to read the group's members from

--auth-ldap-group-base VALUE
    Base DN to search for groups. Only if it differs from ldap_base and if ldap_group_members_attribute is set

--auth-ldap-group-filter VALUE
    Search filter to search for groups having the user as member. Only if ldap_group_members_attribute is set

--auth-ldap-ignore-attribute-create-modify-timestamp [VALUE]
    Quirk for Authentik LDAP server: ignore modifyTimestamp and createTimestamp attributes.

--no-auth-ldap-ignore-attribute-create-modify-timestamp
    do not Quirk for Authentik LDAP server: ignore modifyTimestamp and createTimestamp attributes. (opposite of --auth-ldap-ignore-attribute-createmodify-timestamp)

--auth-imap-host VALUE
    IMAP server hostname: address|address:port|[address]:port|*localhost*

--auth-imap-security VALUE
    Secure the IMAP connection: *tls*|starttls|none

--auth-imap-append-domain VALUE
    Append '@' + domain to login before trying IMAP connection

--auth-oauth2-token-endpoint VALUE
    OAuth2 token endpoint URL

--auth-oauth2-client-id VALUE
    OAuth2 client id

--auth-oauth2-client-secret VALUE
    OAuth2 client secret

--auth-pam-group-membership VALUE
    PAM group user should be member of

--auth-pam-service VALUE
    PAM service

--auth-strip-domain [VALUE]
    strip domain from username

--no-auth-strip-domain
    do not strip domain from username (opposite of --authstrip-domain)

--auth-uc-username [VALUE]
    convert username to uppercase, must be true for caseinsensitive auth providers

--no-auth-uc-username
    do not convert username to uppercase, must be true for case-insensitive auth providers (opposite of --authuc-username)

--auth-lc-username [VALUE]
    convert username to lowercase, must be true for caseinsensitive auth providers

--no-auth-lc-username
    do not convert username to lowercase, must be true for case-insensitive auth providers (opposite of --authlc-username)

--auth-urldecode-username [VALUE]
    url-decode the username, set to True when clients send url-encoded email address as username

--no-auth-urldecode-username
    do not url-decode the username, set to True when clients send url-encoded email address as username (opposite of --auth-urldecode-username)

  rights:

    backend specific options omitted

--rights-type VALUE
    rights backend

--rights-permit-delete-collection [VALUE]
    permit delete of a collection

--no-rights-permit-delete-collection
    do not permit delete of a collection (opposite of --rights-permit-delete-collection)

--rights-permit-overwrite-collection [VALUE]
    permit overwrite of a collection

--no-rights-permit-overwrite-collection
    do not permit overwrite of a collection (opposite of --rights-permit-overwrite-collection)

--rights-file VALUE
    file for rights management from_file

  storage:

    backend specific options omitted

--storage-type VALUE
    storage backend

--storage-filesystem-folder VALUE
    path where collections are stored

--storage-filesystem-cache-folder VALUE
    path where cache of collections is stored in case of use_cache_subfolder_* options are active

--storage-use-cache-subfolder-for-item [VALUE]
    use subfolder 'collection-cache' for 'item' cache file structure instead of inside collection folder

--no-storage-use-cache-subfolder-for-item
    do not use subfolder 'collection-cache' for 'item' cache file structure instead of inside collection folder (opposite of --storage-use-cache-subfolder-foritem)

--storage-use-cache-subfolder-for-history [VALUE]
    use subfolder 'collection-cache' for 'history' cache file structure instead of inside collection folder

--no-storage-use-cache-subfolder-for-history
    do not use subfolder 'collection-cache' for 'history' cache file structure instead of inside collection folder (opposite of --storage-use-cache-subfolder-forhistory)

--storage-use-cache-subfolder-for-synctoken [VALUE]
    use subfolder 'collection-cache' for 'sync-token' cache file structure instead of inside collection folder

--no-storage-use-cache-subfolder-for-synctoken
    do not use subfolder 'collection-cache' for 'synctoken' cache file structure instead of inside collection folder (opposite of --storage-use-cachesubfolder-for-synctoken)

--storage-use-mtime-and-size-for-item-cache [VALUE]
    use mtime and file size instead of SHA256 for 'item' cache (improves speed)

--no-storage-use-mtime-and-size-for-item-cache
    do not use mtime and file size instead of SHA256 for 'item' cache (improves speed) (opposite of --storageuse-mtime-and-size-for-item-cache)

--storage-folder-umask VALUE
    umask for folder creation (empty: system default)

--storage-max-sync-token-age VALUE
    delete sync token that are older

--storage-skip-broken-item [VALUE]
    skip broken item instead of triggering exception

--no-storage-skip-broken-item
    do not skip broken item instead of triggering exception (opposite of --storage-skip-broken-item)

--storage-hook VALUE
    command that is run after changes to storage

--storage-strict-preconditions [VALUE]
    strict preconditions check on PUT

--no-storage-strict-preconditions
    do not strict preconditions check on PUT (opposite of --storage-strict-preconditions)

--storage-predefined-collections VALUE
    predefined user collections

  sharing:

    backend specific options omitted

--sharing-type VALUE
    sharing database type

--sharing-database-path VALUE
    database path

--sharing-collection-by-token [VALUE]
    enable sharing of collection by token

--no-sharing-collection-by-token
    do not enable sharing of collection by token (opposite of --sharing-collection-by-token)

--sharing-collection-by-map [VALUE]
    enable sharing of collection by map

--no-sharing-collection-by-map
    do not enable sharing of collection by map (opposite of --sharing-collection-by-map)

--sharing-permit-create-token [VALUE]
    permit create of token-based sharing

--no-sharing-permit-create-token
    do not permit create of token-based sharing (opposite of --sharing-permit-create-token)

--sharing-permit-create-map [VALUE]
    permit create of map-based sharing

--no-sharing-permit-create-map
    do not permit create of map-based sharing (opposite of --sharing-permit-create-map)

--sharing-permit-properties-overlay [VALUE]
    permit properties overlay

--no-sharing-permit-properties-overlay
    do not permit properties overlay (opposite of --sharing-permit-properties-overlay)

--sharing-enforce-properties-overlay [VALUE]
    enforce properties overlay on write access

--no-sharing-enforce-properties-overlay
    do not enforce properties overlay on write access (opposite of --sharing-enforce-properties-overlay)

--sharing-default-permissions-create-token VALUE
    default permissions for token-based sharing

--sharing-default-permissions-create-map VALUE
    default permissions for map-based sharing

--sharing-conversion-bday-summary-template VALUE
    conversion bday summary template

--sharing-conversion-bday-description-template VALUE
    conversion bday description template

--sharing-conversion-bday-alarm-trigger-template VALUE
    conversion bday alarm trigger template

--sharing-conversion-bday-categories VALUE
    conversion bday categories

--sharing-conversion-bday-age-max VALUE
    conversion bday age max

  hook:

    backend specific options omitted

--hook-type VALUE
    hook backend

--hook-dryrun [VALUE]
    dry-run (do not really trigger hook action)

--no-hook-dryrun
    do not dry-run (do not really trigger hook action) (opposite of --hook-dryrun)

--hook-rabbitmq-endpoint VALUE
    endpoint where rabbitmq server is running

--hook-rabbitmq-topic VALUE
    topic to declare queue

--hook-rabbitmq-queue-type VALUE
    queue type for topic declaration

--hook-smtp-server VALUE
    SMTP server to send emails

--hook-smtp-port VALUE
    SMTP server port

--hook-smtp-security VALUE
    SMTP security mode: *none*|tls|starttls

--hook-smtp-ssl-verify-mode VALUE
    The certificate verification mode. Works for tls and starttls: NONE, OPTIONAL, default is REQUIRED

--hook-smtp-username VALUE
    SMTP server username

--hook-smtp-password VALUE
    SMTP server password

--hook-from-email VALUE
    SMTP server password

--hook-mass-email [VALUE]
    Send one email to all attendees, versus one email per attendee

--no-hook-mass-email
    do not Send one email to all attendees, versus one email per attendee (opposite of --hook-mass-email)

--hook-new-or-added-to-event-template VALUE
    Template for the email sent when an event is created or attendee is added. Select placeholder words prefixed with $ will be replaced

--hook-deleted-or-removed-from-event-template VALUE
    Template for the email sent when an event is deleted or attendee is removed. Select placeholder words prefixed with $ will be replaced

--hook-updated-event-template VALUE
    Template for the email sent when an event is updated. Select placeholder words prefixed with $ will be replaced

  web:

    backend specific options omitted

--web-type VALUE
    web interface backend

--web-prefer-browser-login [VALUE]
    prefer browser login

--no-web-prefer-browser-login
    do not prefer browser login (opposite of --web-preferbrowser-login)

  logging:

--logging-level VALUE
    threshold for the logger

--logging-limit-content VALUE
    limit content of wrapped text (chars)

--logging-trace-filter VALUE
    filter trace messages starting with '<TOKEN>'

--logging-bad-put-request-content [VALUE]
    log bad PUT request content

--no-logging-bad-put-request-content
    do not log bad PUT request content (opposite of --logging-bad-put-request-content)

--logging-backtrace-on-debug [VALUE]
    log backtrace on level=debug

--no-logging-backtrace-on-debug
    do not log backtrace on level=debug (opposite of --logging-backtrace-on-debug)

--logging-request-header-on-debug [VALUE]
    log request header on level=debug

--no-logging-request-header-on-debug
    do not log request header on level=debug (opposite of --logging-request-header-on-debug)

--logging-request-content-on-debug [VALUE]
    log request content on level=debug

--no-logging-request-content-on-debug
    do not log request content on level=debug (opposite of --logging-request-content-on-debug)

--logging-response-header-on-debug [VALUE]
    log response header on level=debug

--no-logging-response-header-on-debug
    do not log response header on level=debug (opposite of --logging-response-header-on-debug)

--logging-response-content-on-debug [VALUE]
    log response content on level=debug

--no-logging-response-content-on-debug
    do not log response content on level=debug (opposite of --logging-response-content-on-debug)

--logging-request-header-on-notice-condition VALUE
    log request header on level=notice with condition

--logging-request-content-on-notice-condition VALUE
    log request content on level=notice with condition

--logging-response-header-on-notice-condition VALUE
    log response header on level=notice with condition

--logging-response-content-on-notice-condition VALUE
    log response content on level=notice with condition

--logging-rights-rule-doesnt-match-on-debug [VALUE]
    log rights rules which doesn't match on level=debug

--no-logging-rights-rule-doesnt-match-on-debug
    do not log rights rules which doesn't match on level=debug (opposite of --logging-rights-rule-doesntmatch-on-debug)

--logging-storage-cache-actions-on-debug [VALUE]
    log storage cache action on level=debug

--no-logging-storage-cache-actions-on-debug
    do not log storage cache action on level=debug (opposite of --logging-storage-cache-actions-on-debug)

--logging-profiling VALUE
    log profiling data level=info

--logging-profiling-per-request-min-duration VALUE
    log profiling data per request minimum duration (seconds)

--logging-profiling-per-request-header [VALUE]
    Log profiling request body (if passing minimum duration)

--no-logging-profiling-per-request-header
    do not Log profiling request body (if passing minimum duration) (opposite of --logging-profiling-perrequest-header)

--logging-profiling-per-request-xml [VALUE]
    Log profiling request XML (if passing minimum duration)

--no-logging-profiling-per-request-xml
    do not Log profiling request XML (if passing minimum duration) (opposite of --logging-profiling-perrequest-xml)

--logging-profiling-per-request-method-interval VALUE
    log profiling data per request method interval (seconds)

--logging-profiling-top-x-functions VALUE
    log profiling top X functions (limit)

--logging-mask-passwords [VALUE]
    mask passwords in logs

--no-logging-mask-passwords
    do not mask passwords in logs (opposite of --loggingmask-passwords)

  headers:

    additional options allowed (e.g. --headers-Pragma=no-cache)

  reporting:

--reporting-max-freebusy-occurrence VALUE
    number of occurrences per event when reporting